Bug 138598 - FILEOPEN: DOCX: images in even page footer not displayed
Summary: FILEOPEN: DOCX: images in even page footer not displayed
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Attila Bakos (NISZ)
URL:
Whiteboard: target:7.2.0 target:7.1.2
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: DOCX-Images
  Show dependency treegraph
 
Reported: 2020-12-01 13:20 UTC by Xisco Faulí
Modified: 2021-03-02 11:15 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
sample document (495.03 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-12-01 13:20 UTC, Xisco Faulí
Details
Comparison LibreOffice 7.2 master and MSO 2010 (201.81 KB, image/png)
2020-12-01 13:24 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-12-01 13:20:52 UTC
Created attachment 167713 [details]
sample document

Steps to reproduce:
1. Open attached document

-> The image in footer of page 4 and 6 are not displayed. See comparison image

Reproduced in

Version: 7.2.0.0.alpha0+
Build ID: 79ec66700266a22966d9e308a716be56c9c3a4a7
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-12-01 13:24:50 UTC
Created attachment 167714 [details]
Comparison LibreOffice 7.2 master and  MSO 2010
Comment 2 Xisco Faulí 2020-12-01 13:27:05 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=b6850bbe95418ecfde404be1696548f18d200c9b

author	Attila Bakos <bakos.attilakaroly@nisz.hu>	2020-08-06 13:49:43 +0200
committer	László Németh <nemeth@numbertext.org>	2020-08-21 23:48:33 +0200
commit	b6850bbe95418ecfde404be1696548f18d200c9b (patch)
tree	b6804b1b292b06389d8b58df9fe425e22f184af4
parent	a6c2a87612a10d55fc59fa01e44d67d95505834f (diff)
tdf#106153 sw compatibility: fix textboxes exceeding the page

Bisected with: bibisect-linux64-7.1

Adding Cc: to Attila Bakos
Comment 3 Commit Notification 2021-03-01 15:05:00 UTC
Attila Bakos (NISZ) committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/493a916a3113e877835c9bc7c93faef0d29f9a33

tdf#140158 tdf#138598 tdf#140598 sw: fix sync of AS_CHAR textboxes

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2021-03-02 09:43:42 UTC
Verified in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 94283af977246c70dbed4452d197b003d8bb14b9
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Attila Bakos, thanks for fixing this issue. Should it be closed as RESOLVED
FIXED ?
Comment 5 Commit Notification 2021-03-02 11:15:45 UTC
Attila Bakos (NISZ) committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/6edeb6a8209a990e83f07c02753d606226f59be7

tdf#140158 tdf#138598 tdf#140598 sw: fix sync of AS_CHAR textboxes

It will be available in 7.1.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.